summaryrefslogtreecommitdiff
path: root/evergreen/notary_client_crypt_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'evergreen/notary_client_crypt_run.sh')
-rw-r--r--evergreen/notary_client_crypt_run.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/evergreen/notary_client_crypt_run.sh b/evergreen/notary_client_crypt_run.sh
new file mode 100644
index 00000000000..2d9b6b3d689
--- /dev/null
+++ b/evergreen/notary_client_crypt_run.sh
@@ -0,0 +1,20 @@
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" > /dev/null 2>&1 && pwd)"
+. "$DIR/prelude.sh"
+
+cd src
+
+. ./notary_env.sh
+
+set -o errexit
+set -o verbose
+
+ext="${ext:-tgz}"
+
+mv "mongo_crypt_shared_v1.$ext" mongo_crypt_shared_v1-${push_name}-${push_arch}-${suffix}.${ext}
+
+/usr/local/bin/notary-client.py \
+ --key-name "server-6.0" \
+ --auth-token-file ${workdir}/src/signing_auth_token \
+ --comment "Evergreen Automatic Signing ${revision} - ${build_variant} - ${branch_name}" \
+ --notary-url http://notary-service.build.10gen.cc:5000 \
+ mongo_crypt_shared_v1-${push_name}-${push_arch}-${suffix}.${ext}